PHP is a server-side scripting language used to build dynamic web pages.

learn more… | top users | synonyms

0
votes
2answers
283 views

Can't start PHP localhost

So i've done this before but I don't remember the command. I was able to use a directory a localhost file. I've tried sudo apachectl start but when I go to localhost the page isn't found. I've also ...
2
votes
1answer
680 views

How to make ffmpeg use correct libfreetype version?

I have a PHP application that uses ffmpeg with libfreetype. I installed both ffmpeg and libfreetype from macports. But I keep getting this error: 2013-08-30 14:44:21 - Generate poster - Create ...
2
votes
1answer
51 views

How can I shut down an unlisted php-fpm?

I have two installations of php on my machine. One came with apache and is a 5.3 version, and I'm trying to use a 5.4 version with nginx. I'd like to work on project using nginx, but I can't figure ...
1
vote
1answer
1k views

Uninstall/ disable php 5.6.9 osx Yosemite

I´m running osx yosemite with homebrew, apache, php5.6.9 and have installed php 5.3. I need php 5.3 to run a certain api which known to have complications with ph5.6.9. But how can I disable php 5.6.9 ...
1
vote
1answer
928 views

Uninstalling all instances of apache, php and mysql

So When I first got my mac mini, I installed things like apache, mysql and php - not knowing that apple either came with these or had a tool called mamp that would allow you to run these. I thought ...
0
votes
1answer
38 views

System Integrity Protection (SIP) creating problem for oci_connect(): OCIEnvNlsCreate()

After I upgraded my OS to El Capitan (which comes with SIP), I am getting error in oci_connect() Warning: oci_connect(): OCIEnvNlsCreate() failed. There is something wrong with your system - ...
0
votes
1answer
36 views

Mavericks PHP versions issue

I just ran the command below to update PHP on my system (twice, forgot I ran it before). curl -s http://php-osx.liip.ch/install.sh | bash -s 5.5 Output Detected OS X Mavericks 10.9 All ok. Get ...
0
votes
1answer
409 views

403 forbidden on Apache vHost

I'm using Mac OS X 10.6.8 and I'm trying to configure a vHost. I configured it and it gave me a 403 Forbidden, and I'm having trouble giving _www permission to read/write in ~/Document/workspace/dev ...
0
votes
1answer
367 views

Can't install php56-mcrypt with homebrew

I use Homebrew on my testing server on OS X. I have php56, autoconf, and mcrypt installed through homebrew. I was successful doing this on a different Mac but I am not having any luck this time. ...
0
votes
1answer
218 views

Error when installing Apache 2.4, PHP 5.5 and MySQL via Homebrew

I tried to install Apache and PHP on Mac OS X version 10.9.5 brew install httpd24 php55 --with-mysql --with-homebrew-apache --homebrew-apxs -v exit with this error ...
0
votes
1answer
755 views

OSX 10.9.5 upgrade causes apache/php downgrade

Today I installed the OSX 10.9.5 upgrade and it appears to have downgraded my Apache and PHP version. Is there an easy way to reverse this unwanted downgrade? Or do I have to reinstall apache via ...
0
votes
1answer
542 views

PHP not locating mcrypt while using MAMP

I'm using MAMP on a MAC. And in the php info page on MAMP, it says that mcrypt is enabled. However, when I run "php -m" on the terminal, I can't find mcrypt between the php modules. Any advice??
2
votes
0answers
129 views

Installing a different version of Apache and PHP

I have OS X Yosemite, it comes with default Apache 2 and PHP versions. I want to set up a development environment with older version of Apache (2.2) and PHP (5.3). I have a product set up running on ...
1
vote
0answers
26 views

Getting error 403 on trying to activate PHP and Apache on Mac Pro

I followed the steps given in the following site to activate PHP and Apache on my Mac Pro: Get Apache, MySQL, PHP and phpMyAdmin working on OSX 10.10 Yosemite This is the screenshot of my terminal ...
1
vote
0answers
149 views

Problem loading php56 instead of php5 under MacPorts

I am running MacOS X Mavericks, where I manually created a MAMP stack by installing mysql5-server, php5, etc., under MacPorts. I was recently forced to upgrade this configuration to mysql56-server ...
1
vote
0answers
334 views

Apache/PHP can't resolve localhost

After upgrading to Yosemite, I'm having an issue with Apache and PHP running locally. PHP can't find my local database server using localhost but it can if I specify 127.0.0.1 or test.dev (which ...
1
vote
0answers
48 views

Different file kinds for same kind(/type) of files

I am seeing this weird thing on Mac (OSX). I have a PHP project where the file kind of certain PHP is listed as PHP where as other listed as TextWrangler text document; although all PHP files are ...
1
vote
0answers
474 views

PHP exec() with Mac ports issue

I'm running PHP 5.3 from Mac Ports. I'm seeing some odd behavior with "exec()" that I can't track down. Calling commands that are installed in system-standard directories work, but calling commands ...
1
vote
0answers
101 views

Setting the config for PHP 5.3.15 and above

I have PHP 5.3.15 running on my Mac (OS 10.8.2). I have Apache running with virtual hosts. Also, I've installed FreeTDS for connecting to MSSQL. I still need to configure the /php/ext/mssql to run ...
0
votes
0answers
16 views

Where is the libphp7 module located

I've downloaded the PHP 7.0.5 .tar.gz package from https://secure.php.net/downloads.php. After that I've run the following: cd /path/to/php/package/php_7.0.5.tar.gz ./configure --without-iconv make ...
0
votes
0answers
24 views

Does Mac's PHP interfere with XAMPP/MAMP's PHP?

This is a follow-up question of this post. I was trying to install xDebug following this instruction. In its "Install Xdebug" section, after doing "brew install php54-xdebug", it starts operating ...
0
votes
0answers
47 views

False error Undefined property when debug php script in El Capitan

I have installed PHP and x-debug from homebrew in El Capitan: php -d xdebug.remote_enable=on -v PHP 5.6.18 (cli) (built: Feb 6 2016 06:53:53) Copyright (c) 1997-2016 The PHP Group Zend Engine ...
0
votes
0answers
882 views

OpenSSL 0.9.8zg

A week ago, as part of the installation a PHP 5.4 cartridge from openshift.com on my Mac with OS X v10.10.5 in the Terminal I noticed a message about it is loading OpenSSL 0.9.8?? for compatibilty ...
0
votes
0answers
42 views

Problems configuring Apache and PHP

When I am entering http://localhost, it is showing the it works message. But when I am trying to open the phpinfo page by safari(http://localhost/phpinfo.php) it is showing the error,"Safari can't ...
0
votes
0answers
70 views

php56 macports el capitan

I successfully installed a MAMP stack using Macport on OX El Capitan. Now I run into a situation where mysql is not correctly used in a command line script. I suspect that the built in php is used ...
0
votes
0answers
14 views

How can I import a text file of emails into Mail?

I have thousands of emails from the nineties that were exported as a text file that I'd like to import into Mail. I'm looking for a way to do that directly or indirectly. I'm assuming it will require ...
0
votes
0answers
82 views

Phalconphp doesn't appear in phpinfo() installation succeed

I have problem in Phalconphp installation. I have followed the OS X install instructions but the phalcon doesn't appear in phpinfo() which mean I doesn't installed. My OS X version is OS X 10.11, El ...
0
votes
0answers
417 views

How to compile PHP with OpenSSL on OS X 10.9?

So I'm while trying to compile PHP 5.6.10 from the source faced the following problem: Undefined symbols for architecture x86_64: "_PKCS5_PBKDF2_HMAC", referenced from: _zif_openssl_pbkdf2 in ...
0
votes
0answers
207 views

Why am I getting these errors when trying to install php 5.5.0?

So I am trying to upgrade the native php installation on my mac and i keep getting these errors: ld: library not found for -ljpeg clang: error: linker command failed with exit code 1 (use -v to see ...
0
votes
0answers
453 views

How do I switch which instance of php is used on my Mac?

I have three installed versions of php on my Mac. When I check using phpinfo() via a web browser, the one that is being invoked is version 5.3.15. I would like to switch it to the installed instance ...
0
votes
0answers
109 views

Getting PHP response om my Mac OS X 10.8

I've tried to install MAMP (also the "manual version of these things) but I haven't got any PHP enabled response from my web server yet.... Running MAMP and loading localhost/index.html returns "It ...